Get documents for authenticated user (Portal)

Returns a list of documents available to the authenticated user in the portal. This endpoint uses PhoneTokenAuthentication.

The response includes:

  • Documents from folders accessible via folder-links
  • Only active documents (not archived or deleted)
  • Excludes duplicate documents

Filtering options:

  • file_type: Filter by file type (pdf, txt, csv, image, doc, docx, zip, other)
  • folder_id: Filter by folder hashid

Response fields:

  • id: The hashid of the document
  • name: The name of the document
  • reference_id: The reference ID of the document
  • file_type: The type of file (pdf, txt, etc.)
  • uploaded_by: Name of who uploaded the file
  • uploaded_by_phone_number: Phone number that uploaded the file (if applicable)
  • folder: Object with folder id and name (if associated)
  • document_summary: Summary of the document
  • document_short_description: Short description of the document
  • clean_document_name: Clean name of the document
  • file_syncs: File synchronization data
  • duplicate_file_record_id: ID of duplicate file record (if applicable)
  • created_at: When the document was created
  • updated_at: When the document was last updated
Query Params
string

Filter documents by file type (pdf, txt, csv, image, doc, docx, zip, other)

string

Filter documents by folder hashid

integer

Number of results to return per page.

integer

The initial index from which to return the results.

Responses

Language
Credentials
Header
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json